<? $this->sitePath()->append($this->t('edit_rates'), $this->getLink('edit-rates')) ?>
<? $this->headTitle($this->t('edit_rates'), 'PREPEND') ?>
<? $this->headLink()->appendStylesheet(_st('private/rates.css')) ?>
<? $defines = Zend_Registry::get('defines') ?>

<script type="text/javascript">
var getRatesChks = function () {
	var chks = [];
	$('checkall').getParent('table').getElements('tbody td input').each(function (chk) { chks.include(chk) });
	return chks;
};

var getCheckedRates = function () {
	var indexes = [];
	getRatesChks().each(function (chk) { if ( chk.get('checked') ) indexes.include(chk.get('value')); });
	return indexes;
}

window.addEvent('domready', function () {
	$$('#checkall').addEvent('click', function () {
		$$(getRatesChks()).set('checked', this.get('checked'));
	});
	
	if ( $$('.appear').length ) $$('.appear')[0].get('tween', { property: 'background-color', duration: 'short', link: 'chain' }).start('#fff', '#ff9').start('#ff9', '#fff');
});

var deleteSelected = function () {
	if ( ! getCheckedRates().length ) {
		alert('Please select one or more rates to delete them');
		return false;
	}
	
	if ( ! confirm('Are you sure you want delete selected rates?') ) {
		return false;
	}
};

var addRate = function (form) {
	form = $(form);
	var vals = {
		availability: $('availability').get('value'),
		time: $('time').get('value'),
		time_unit: $('time-unit').get('value'),
		rate: $('price').get('value'),
		currency: $('currency').get('value')
	};
	
	if ( ! vals.availability || ! vals.time || ! vals.time_unit || ! vals.rate || ! vals.currency ) {
		alert('Please fill all fields before adding rate');
		return false;
	}
}
</script>

<h1 class="heading"><? /*  <img src="<?= _st('en_h1_myphotos.gif') ?>" alt="Edit Rates" title="Edit Rates" />  */ ?><?= $this->t('edit_rates') ?></h1>
<div class="cbox"><div class="cbox-i"><div class="cbox-ii">
	<form class="signup-form" action="<?= $this->getLink('edit-rates') ?><?= $this->user->isAgency() ? '?id=' . $this->escort->getId() : '' ?>" method="post" onsubmit="return addRate(this)">
		<div class="rates signup-bodky">
			<div class="fleft">
				<label for="availability"><?= $this->t('available_for') ?></label>
				<select id="availability" name="availability">
					<option value="">- - -&nbsp;&nbsp;</option>
					<? foreach ( $defines['available_for'] as $i => $a ): ?>
					<option value="<?= $i ?>"><?= $a ?>&nbsp;&nbsp;</option>
					<? endforeach ?>
				</select>
			</div>
			
			<div class="fleft">
				<label for="time"><?= $this->t('time') ?></label>
				<input type="text" class="txt" id="time" name="time" value="" size="2" />
			</div>
			
			<div class="fleft">
				<label for="time-unit">&nbsp;</label>
				<select id="time-unit" name="time_unit">
					<option value="">- unit -</option>
					<? foreach ( $defines['time_unit_options'] as $k => $v ): ?>
					<option value="<?= $k ?>"><?= $v ?></option>
					<? endforeach ?>
				</select>
			</div>
			
			<div class="fleft">
				<label for="price"><?= $this->t('price') ?></label>
				<input type="text" class="txt" id="price" name="price" value="" size="4" />
			</div>
			
			<div class="fleft">
				<label for="currency"><?= $this->t('currency') ?></label>
				<select id="currency" name="currency">
					<option value="">- - -</option>
					<? foreach ( $defines['currencies'] as $k => $v ): ?>
					<option value="<?= $k ?>"><?= $v ?></option>
					<? endforeach ?>
				</select>
			</div>
			
			<div class="fleft">
				<label>&nbsp;</label>
				<input type="submit" class="btn btn-submit" name="a" value="add" />
			</div>
			
			<div class="clear"></div>
		</div>
	</form>
	
	<? if ( count($this->rates) ): ?>
	<form class="signup-form" action="" method="post" onsubmit="return deleteSelected()">
		<div class="rates-list signup-bodky">
			<table>
				<thead>
					<tr>
						<th style="width: 16px"><input id="checkall" type="checkbox" /></th>
						<th><?= $this->t('availability') ?></th>
						<th><?= $this->t('time') ?></th>
						<th><?= $this->t('rate') ?></th>
					</tr>
				</thead>
				<tbody>
					<? foreach ( $this->rates as $rate ): ?>
					<tr<?= implode(':', $rate) === implode(':', $this->appear) ? ' class="appear"' : '' ?>>
						<td><input type="checkbox" name="rates[]" value="<?= $rate['availability'] ?>:<?= $rate['time'] ?>:<?= $rate['time_unit'] ?>:<?= $rate['price'] ?>:<?= $rate['currency'] ?>" /></td>
						<td><?= $defines['available_for'][$rate['availability']] ?></td>
						<td><?= $rate['time'] ?> <?= $defines['time_unit_options'][$rate['time_unit']] ?></td>
						<td><?= $rate['price'] ?> <?= $defines['currencies'][$rate['currency']] ?></td>
					</tr>
					<? endforeach; ?>
				</tbody>
			</table>
		</div>
		
		<div>
			<input type="submit" class="btn btn-delete" name="a" value="delete" />
			<div class="clear"></div>
		</div>
	</form>
	<? else: ?>
	<?= $this->t('no_rates_defined') ?>
	<? endif; ?>
</div></div></div>
